document.addEventListener('DOMContentLoaded', () => {
  const slides = document.querySelectorAll('.slideshowSlide');
  
  slides.forEach(slide => {
    slide.addEventListener('touchstart', handleTouchStart, false);
    slide.addEventListener('touchmove', handleTouchMove, false);
  });

  let xDown = null;
  let yDown = null;

  function handleTouchStart(evt) {
    xDown = evt.touches[0].clientX;
    yDown = evt.touches[0].clientY;
  }

  function handleTouchMove(evt) {
    if (!xDown || !yDown) return;

    let xUp = evt.touches[0].clientX;
    let yUp = evt.touches[0].clientY;

    let xDiff = xDown - xUp;
    let yDiff = yDown - yUp;

    if (Math.abs(xDiff) > Math.abs(yDiff)) {
      if (xDiff > 0) {
        document.querySelector('.slideshowNav .next')?.click();
      } else {
        document.querySelector('.slideshowNav .prev')?.click();
      }
    }

    xDown = null;
    yDown = null;
  }
});